package com.xjrsoft.module.textbook.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.textbook.entity.WfTextbookRecede;

import java.util.List;

/**
* @title: 推书申请
* @Author szs
* @Date: 2024-01-03
* @Version 1.0
*/

public interface IWfTextbookRecedeService extends MPJBaseService<WfTextbookRecede> {
    /**
    * 新增
    *
    * @param wfTextbookRecede
    * @return
    */
    Boolean add(WfTextbookRecede wfTextbookRecede);

    /**
    * 更新
    *
    * @param wfTextbookRecede
    * @return
    */
    Boolean update(WfTextbookRecede wfTextbookRecede);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    Boolean dataHandle(Long formId);
}
